Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SystemObjectDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SystemObjectDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AccessControlEntryDefinition, AuditHandlerSpecificationDefinition, AuditSpecificationDefinition, AuditTargetSpecificationDefinition, AuditTypeListDefinition, AutoFolderingActionSpecificationDefinition, ContentObjectDefinition, CustomMediaDriverSpecificationDefinition, ExtendedPermissionDefinition, FormatDefinition, LifecycleDateRuleSpecificationDefinition, LifecyclePolicyActionSpecificationDefinition, LifecyclePolicyDefinition, LockObjectDefinition, MediaDefinition, OperationActionSpecificationDefinition, PermissionBundleDefinition, PolicyDefinition, PolicyListDefinition, PolicyListElementDefinition, PropertyDefinition, RelationshipDefinition, RetentionPolicyDefinition, RuntimeStateDefinition, StorageGroupDefinition, SystemCategoryDefinition

    public class SystemObjectDefinition

extends LibraryObjectDefinition

A SystemObjectDefinition is used to create and update instances of SystemObject objects.

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`SystemObjectDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`SystemObjectDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `addCategoryDefinition(SystemCategoryDefinition def)` Adds a new SystemCategory Definition to the new SystemObject.
`void` | `addCategoryDefinitionForUpdate(AttributeValue av, SystemCategoryDefinition def)` Adds a new SystemCategory Definition and a Category as an av to this systemobject definition.
`void` | `addCategoryDefinitions(SystemCategoryDefinition[] defs)` Adds a set of new System Category Definition to the new SystemObject.
`void` | `addCategoryForDelete(AttributeValue av)` Add a Category that should be removed from the list of Categories for this SystemObject.
`AttributeValue[]` | `getCategoriesForDelete()` Get any categories that have been added to this definition for the purpose of being removed/deleted from this SystemObject.
`SystemCategoryDefinition[]` | `getCategoryDefinitions()` returns all the System CategoryDefinitions for this Definition Return null if no System Category definitions exist
`java.util.Hashtable` | `getCategoryDefinitionsForUpdate()` Get the Hashtable that encapsulates all updates to Categories on this SystemObject.
`boolean` | `getCreateCategoriesServerSideOption()` Return true if the CreateCategoriesServerSideOption has been set.
`void` | `removeCategoriesForDelete()` Remove any Categories that have been added to this definition for the purpose of being removed/deleted from this SystemObject.
`void` | `removeCategoryDefinitions()` Removes all System CategoryDefinition specifications from this instance.
`void` | `removeCategoryDefinitionsForUpdate()` Removes any SystemCategory Definitions from the SystemObject.
`void` | `setCategoryDefinitions(SystemCategoryDefinition[] defs)` Defines a set of new System Category Definition to the new SystemObject.
`void` | `setCreateCategoriesServerSideOption(boolean option)` Set or clear the option that indicates that categories should be created from within S_SystemObject.
`static SystemObjectDefinition` | `toSystemObjectDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a SystemObjectDefinition.
`static SystemObjectDefinition` | `toSystemObjectDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a SystemObjectDefinition.

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemObjectDefinition

    public SystemObjectDefinition(LibrarySessionInterface session)
                           throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be SystemObject.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### SystemObjectDefinition

    public SystemObjectDefinition(LibrarySessionInterface session,
                                  java.lang.String className)
                           throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### addCategoryDefinition

    public void addCategoryDefinition(SystemCategoryDefinition def)
                               throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Adds a new SystemCategory Definition to the new SystemObject.

  Parameters:
    `def` - the SystemCategory definition for the new Category
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addCategoryDefinitions

    public void addCategoryDefinitions(SystemCategoryDefinition[] defs)
                                throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Adds a set of new System Category Definition to the new SystemObject. All specified System CategoryDefinitions will be added to the current set of definitions held by this instance.

  Parameters:
    `defs` - the System Category definitions to be added for this instance
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setCategoryDefinitions

    public void setCategoryDefinitions(SystemCategoryDefinition[] defs)
                                throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Defines a set of new System Category Definition to the new SystemObject. All previously specified System CategoryDefinitions will be removed, prior to adding this set to the instance.

  Parameters:
    `defs` - the System Category definitions for the new Category
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### removeCategoryDefinitions

    public void removeCategoryDefinitions()
                                   throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Removes all System CategoryDefinition specifications from this instance.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getCategoryDefinitions

    public SystemCategoryDefinition[] getCategoryDefinitions()
                                                      throws IfsException

  Description copied from class: `SystemObjectDefinition`
  returns all the System CategoryDefinitions for this Definition Return null if no System Category definitions exist

  Returns:
    System CategoryDefinitions for this Definition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addCategoryDefinitionForUpdate

    public void addCategoryDefinitionForUpdate(AttributeValue av,
                                               SystemCategoryDefinition def)
                                        throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Adds a new SystemCategory Definition and a Category as an av to this systemobject definition. The SystemCategory definition will be used to update the corresponding Category.

  Parameters:
    `av` - the attributevalue that represents the Category to be updated
    `def` - the SystemCategory definition for updating the Category.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeCategoryDefinitionsForUpdate

    public void removeCategoryDefinitionsForUpdate()
                                            throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Removes any SystemCategory Definitions from the SystemObject. that have been added for update.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### getCategoryDefinitionsForUpdate

    public java.util.Hashtable getCategoryDefinitionsForUpdate()
                                                        throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Get the Hashtable that encapsulates all updates to Categories on this SystemObject.

  The keys in the Hashtable are the Categorys to be updated The values are the corresponding definitions.

  Returns:
    hashtable encapsulating the categories and their updated Definitions
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addCategoryForDelete

    public void addCategoryForDelete(AttributeValue av)
                              throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Add a Category that should be removed from the list of Categories for this SystemObject.

  Parameters:
    `av` - AttributeValue representing the Category to be freed
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removeCategoriesForDelete

    public void removeCategoriesForDelete()
                                   throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Remove any Categories that have been added to this definition for the purpose of being removed/deleted from this SystemObject.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### getCategoriesForDelete

    public AttributeValue[] getCategoriesForDelete()
                                            throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Get any categories that have been added to this definition for the purpose of being removed/deleted from this SystemObject.

  Returns:
    Categories that have been added for delete as an array of attribute values
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setCreateCategoriesServerSideOption

    public void setCreateCategoriesServerSideOption(boolean option)
                                             throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Set or clear the option that indicates that categories should be created from within S_SystemObject.

  Parameters:
    `option` - true if the option is selected
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getCreateCategoriesServerSideOption

    public boolean getCreateCategoriesServerSideOption()
                                                throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Return true if the CreateCategoriesServerSideOption has been set.

  Returns:
    true if the CreateCategoriesServerSideOption has been set. Also return true if the option was not set at all.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### toSystemObjectDefinition

    public static SystemObjectDefinition toSystemObjectDefinition(LibraryObjectDefinition lodef)
                                                           throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Cast specified LibraryObjectDefinition to a SystemObjectDefinition.

  Return null if the specified definition is not a SystemObjectDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a SystemObjectDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown
  (Unpublished)

### toSystemObjectDefinition

    public static SystemObjectDefinition toSystemObjectDefinition(LibraryObjectDefinition lodef,
                                                                  boolean enforceCompat)
                                                           throws IfsException

  Description copied from class: `SystemObjectDefinition`
  Cast specified LibraryObjectDefinition to a SystemObjectDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a SystemObjectDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a SystemObjectDefinition casted from the specified definition
  Throws:
    `IfsException` - (IFS-10822) if operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD